.loading__container {
    position: fixed;
    inset: 0;
    z-index: 1000;
    width: 100vw;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #ffffff;
    transition: opacity 0.6s ease-out;
}

.loading__container-spinner {
    width: 45px;
    height: 45px;
    border: 5px solid #f3f3f3;
    border-top: 5px solid #223D5D;
    border-radius: 50%;

    animation: spin 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.05);
}

.loading__container-spinner-splash {
    margin-top: 1em;
    width: 32px;
    height: 32px;
    border: 5px solid #f3f3f3;
    border-top: 5px solid #223D5D;
    border-radius: 50%;

    animation: spin 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.05);
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.fade-out {
    opacity: 0;
    pointer-events: none;
}